# $Revision: 1.23.2.2 $, $Date: 2003/04/28 12:51:52 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	SigFigs
Summary:	Math::SigFigs - do math with correct handling of significant figures
Summary(pl):	Math::SigFigs - obliczenia z poprawn obsug cyfr znaczcych
Name:		perl-Math-SigFigs
Version:	1.02
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
In many scientific applications, it is often useful to be able to
format numbers with a given number of significant figures, or to do
math in such a way as to maintain the correct number of significant
figures. The rules for significant figures are too complicated to be
handled solely using the sprintf function (unless you happen to be
Randal Schwartz :-).

%description -l pl
W wielu aplikacjach naukowych przydaje si formatowanie liczb z zadan
liczb cyfr znaczcych albo wykonywanie oblicze z zachowaniem
poprawnej liczby cyfr znaczcych. Zasady dla cyfr znaczcych s zbyt
skomplikowane, by mogy by obsuone przez funkcj sprint (chyba e
kto jest Randalem Schwartzem :-)).

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_sitelib}/Math/SigFigs.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Math-SigFigs.spec,v $
Revision 1.23.2.2  2003/04/28 12:51:52  ankry
- really rel++

Revision 1.23.2.1  2003/03/13 00:58:07  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.23  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:36:49  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/09/27 14:07:08  ankry
- added tests, cleaning
- version 1.02, rel. 1

Revision 1.20  2002/08/16 18:54:40  qboosh
- pl description, release++

Revision 1.19  2002/08/11 19:36:48  radek
- release up

Revision 1.18  2002/08/11 19:32:51  radek
- (automatic) provided informative description

Revision 1.17  2002/07/10 08:48:03  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.16  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/03 13:32:19  marcus
- rel.7.

Revision 1.14  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/10 15:28:55  depesz
adapterized

Revision 1.12  2002/01/18 02:14:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:20  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:12:52  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/19 01:45:46  kloczek
- do not include .packlist in %%files,
- spec adapterized.

Revision 1.7  2001/01/13 00:41:26  dobrek
- Req perl >=5.6; Release=4; New rpm automat

Revision 1.6  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.1  1999/11/05 23:09:59  pius
- initial release
